{ lib, config, pkgs, ... }: {

  config = lib.mkIf (config.homecfg.wm == "Wayland") {
    home.packages = with pkgs; [ eww-wayland jaq ];

    xdg.configFile."eww" = {
      source = lib.cleanSourceWith {
        filter = name: _type:
          let baseName = baseNameOf (toString name);
          in !(lib.hasSuffix ".nix" baseName) && (baseName != "_colors.scss");
        src = lib.cleanSource ./.;
      };

      recursive = true;
    };

    # colors file
    xdg.configFile."eww/css/_colors.scss".text = ''
      $base00: #${config.colorScheme.colors.base00};
      $base01: #${config.colorScheme.colors.base01};
      $base02: #${config.colorScheme.colors.base02};
      $base03: #${config.colorScheme.colors.base03};
      $base04: #${config.colorScheme.colors.base04};
      $base05: #${config.colorScheme.colors.base05};
      $base06: #${config.colorScheme.colors.base06};
      $base07: #${config.colorScheme.colors.base07};
      $base08: #${config.colorScheme.colors.base08};
      $base09: #${config.colorScheme.colors.base09};
      $base0A: #${config.colorScheme.colors.base0A};
      $base0B: #${config.colorScheme.colors.base0B};
      $base0C: #${config.colorScheme.colors.base0C};
      $base0D: #${config.colorScheme.colors.base0D};
      $base0E: #${config.colorScheme.colors.base0E};
      $base0F: #${config.colorScheme.colors.base0F};


      $fg: $base07;
      $bg: $base00;
      $bg1: $base01;
      $border: $base03;
    '';
  };
}
