{ config, pkgs, ... }: {
  sops.defaultSopsFile = ./common.yaml;
  sops.age.keyFile = "/var/lib/sops-nix/age-key.txt";
  sops.age.generateKey = true;

  sops.secrets.wifi = { };

  sops.secrets."${config.hostcfg.hostname}_ssh_priv" = {
    mode = "0400";
    owner = config.users.users.sora.name;
    group = config.users.users.sora.group;
  };
  sops.secrets."${config.hostcfg.hostname}_ssh_pub" = {
    mode = "0400";
    owner = config.users.users.sora.name;
    group = config.users.users.sora.group;
  };
  sops.secrets."${config.hostcfg.hostname}_wg_priv" = { };
  sops.secrets."${config.hostcfg.hostname}_wg_pub" = { };

  environment.systemPackages = with pkgs; [ sops ];

}
