{ config, inputs, ... }: {
  imports = with inputs.hardware.nixosModules; [
    ./hardware-configuration.nix
    common-cpu-amd
    common-gpu-amd
  ];

  hostcfg = {
    hostname = "iriy";
    username = "sora";
    make = {
      gui = true;
      cli = true;
      virt = true;
      power = false;
    };
    net = {
      wlp = {
        enable = true;
        nif = "wlp9s0";
      };
      wg = {
        enable = true;
        ip4 = "10.10.1.7/32";
        ip6 = "fd10:10:10::7/128";
        pk = config.sops.secrets.iriy_wg_priv.path;
      };
    };
  };
}

